Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225070 - openarena fails to start with mesa-libGL
Summary: openarena fails to start with mesa-libGL
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: openarena
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michał Bentkowski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-28 15:49 UTC by Jonathan Underwood
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-28 16:51:16 UTC


Attachments (Terms of Use)

Description Jonathan Underwood 2007-01-28 15:49:00 UTC
Description of problem:
openarena fails to start with software GL:

$ openarena
ioQ3 1.33+oa linux-i386-debug Jan 12 2007
----- FS_Startup -----
Current search path:
/home/jgu/.openarena/baseoa/pak6-misc.pk3 (96 files)
/home/jgu/.openarena/baseoa/pak5-TA.pk3 (7 files)
/home/jgu/.openarena/baseoa/pak4-textures.pk3 (932 files)
/home/jgu/.openarena/baseoa/pak2-players.pk3 (187 files)
/home/jgu/.openarena/baseoa/pak1-maps.pk3 (25 files)
/home/jgu/.openarena/baseoa/pak0.pk3 (748 files)
/home/jgu/.openarena/baseoa
/usr/libexec/openarena/baseoa

----------------------
1995 files in pk3 files
execing default.cfg
couldn't exec q3config.cfg
couldn't exec autoexec.cfg
Hunk_Clear: reset the hunk ok
----- Client Initialization -----
----- Initializing Renderer ----
-------------------------------
QKEY found.
----- Client Initialization Complete -----
----- R_Init -----

------- Input Initialization -------
Joystick is not active.
------------------------------------
...loading libGL.so.1:
Calling SDL_Init(SDL_INIT_VIDEO)...
SDL_Init(SDL_INIT_VIDEO) passed.
Initializing OpenGL display
...setting mode 3: 640 480
SDL_SetVideoMode failed: Couldn't find matching GLX visual
SDL_SetVideoMode failed: Couldn't find matching GLX visual
Using 8/8/8 Color bits, 16 depth, 0 stencil display.
GL_RENDERER: Mesa GLX Indirect


***********************************************************
 You are using software Mesa (no hardware acceleration)!   
 Driver DLL used: libGL.so.1
 If this is intentional, add
       "+set r_allowSoftwareGL 1"
 to the command line when starting the game.
***********************************************************
...WARNING: could not set the given mode (3)
----- CL_Shutdown -----
RE_Shutdown( 1 )
-----------------------
Sys_Error: GLimp_Init() - could not load OpenGL subsystem

ioquake3.i386: code/unix/unix_main.c:353: Sys_Exit: Assertion `ex == 0' failed.
Received signal 6, exiting...


Version-Release number of selected component (if applicable):
openarena-0.6.0-4.fc6

How reproducible:
Every time

Steps to Reproduce:
1.Don't install hardware graphics drivers which supporthardware acceleration
2.Install openarena
3.run openarena
  
Actual results:
openarena fails to start -see above

Expected results:
openarena starts

Additional info:

Comment 1 Michał Bentkowski 2007-01-28 16:22:07 UTC
Have you tried to add "+set r_allowSoftwareGL" to the command line?

Comment 2 Jonathan Underwood 2007-01-28 16:51:16 UTC
Ah, yes, adding +set r_allowSoftwareGL 1 to the command line does indeed
succesfully run the program.

I wonder why, without that option, the program still tries to run even after
printing out the message telling you to add the option - to me that implied it
should still run without the option. Something for upstream, I guess. 

I'll close the bug. Thanks.


Note You need to log in before you can comment on or make changes to this bug.